> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Socks 5 proxy username

> Use the Bright Data Reseller API to generate Socks 5 Proxy Username. GET /api/{partner}/socks5_proxies returns a JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller GET /api/{PARTNER_NAME}/socks5_proxies
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/socks5_proxies:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: id
          description: Valid customer `id`
          required: true
          schema:
            type: string
        - in: query
          name: zone
          description: Existing zone name
          required: false
          schema:
            type: string
            default: hq_static_res
        - in: query
          name: country
          description: Name of country (e.g. `us`)
          required: false
          schema:
            type: string
        - in: query
          name: state
          description: Name of the US country (e.g. `ca`)
          required: false
          schema:
            type: string
        - in: query
          name: session
          description: Amount of the sessions to generate
          required: false
          schema:
            type: number
        - in: query
          name: asn
          description: >-
            Name of the ASN. YOu can get all available ASNs via
            `/api/{PARTNER_NAME}/get_asn` API
          required: false
          schema:
            type: string
        - in: query
          name: carrier
          description: >-
            Name of the carrier. You can get all available carriers via
            `/api/{PARTNER_NAME}/carriers` API
          required: false
          schema:
            type: string
        - in: query
          name: const
          description: Use constant
          required: false
          schema:
            type: number
            default: 1
        - in: query
          name: split
          description: >-
            If provided only `brd-customer-{CUST_ID}-zone-{ZONE}` part of
            username will be encoded
          required: false
          schema:
            type: number
            default: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                example:
                  - '{PARTNER_NAME_PROXY_HOST}:{PORT}:{ENCRYPTED}:{ZONE_PASSWORD}'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````